package com.mortals.xhx.base.system.menu.dao.ibatis;


import org.springframework.stereotype.Repository;
import com.mortals.xhx.base.system.menu.dao.MenuDao;
import com.mortals.xhx.base.system.menu.model.MenuEntity;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 菜单信息DaoImpl DAO接口
*
* @author zxfei
* @date 2023-04-10
*/
@Repository("menuDao")
public class MenuDaoImpl extends BaseCRUDDaoMybatis<MenuEntity,Long> implements MenuDao {

    @Override
    public List<MenuEntity> selectChildrenMenuById(String menuId) {
        return getSqlSession().selectList(getSqlId("selectChildrenMenuById"), menuId);
    }

}
