package com.mortals.xhx.busiz.rsp.appoint;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.Date;

@Data
public class AppointmentData {

	@JSONField(name="summary")
	private String summary;

	@JSONField(name="queueid")
	private String queueId;

	@JSONField(name="flownum")
	private String flownum;

	@JSONField(name="idcard")
	private String idCard;

	@JSONField(name="count")
	private int count;

	@JSONField(name="businessid")
	private Long businessid;

	@JSONField(name="sitename")
	private String siteName;

	@JSONField(name="businessname")
	private String businessName;

	@JSONField(name="time",format = "yyyy-MM-dd HH:mm:ss")
	private Date time;

	@JSONField(name="windows")
	private String windows;

	@JSONField(name="region")
	private String region;
}