package com.mortals.xhx.common.key;

public final class Constant {

	/**
	 * UTF-8 字符集
	 */
	public static final String UTF8 = "UTF-8";

	/**
	 * GBK 字符集
	 */
	public static final String GBK = "GBK";

	/**
	 * http请求
	 */
	public static final String HTTP = "http://";

	/**
	 * 上行消息topic
	 */
	public static final String UPLOAD_TOPIC = "/upload/";

	/**
	 * 下行消息topic
	 */
	public static final String DOWN_TOPIC = "/down/";

	/**
	 * 验证码有效期（分钟）
	 */
	public static final Integer CAPTCHA_EXPIRATION = 2;

	/**
	 * 登录设备 redis key
	 */
	public static final String LOGIN_TOKEN_KEY = "login_tokens:";

	/**
	 * 令牌
	 */
	public static final String TOKEN = "token";
	public static final String ENCRYPT_STR = "w4*KbUamPdZDnDpG";
	public static final String DES_STR = "FZV1D&tr";

	public static final Integer SERVER_PORT = 8074;
	public static final Integer CLIENT_PORT = 8073;
	/**
	 * 设备心跳检查时间（秒）
	 */
	public static final String HEARTBEAT_TIMEOUT = "heartbeat_timeout";


	/**
	 * 设备首页基础path
	 */
	public static final String DEVICE_BASEHOME_PATH = "/homeDeviceUrl";


	/**
	 * 基础服务平台鉴权token
	 */
	public static final String BASEPLATFORM_AUTHTOKEN = "baseplatform_authtoken";

	/**
	 * 令牌前缀
	 */
	public static final String TOKEN_PREFIX = "";

	/**
	 * 令牌前缀
	 */
	public static final String LOGIN_DEVICE_KEY = "login_device_key";

	/** 基础代码版本 Z-BASE.MANAGER-S1.0.0 */
	public final static String BASEMANAGER_VERSION = "Z-BASE.MANAGER-S1.0.0";

	/**
	 * 服务器http
	 */
	public final static String PARAM_SERVER_HTTP_URL = "server_http_url";

	/**
	 * 订阅的事件列表 多个逗号分割
	 */
	public final static String PARAM_EVENTTYPES = "event_types";

	/**
	 * rabbmit exchange分隔符
	 */
	public static final String EXCHANGE_SPLIT = ".";

	/**
	 *  陌生人监控计划
	 */
	public final static String STRANGER_PLAN = "stranger_plan";
	public final static String STRANGER_PLAN_DESC = "陌生人监控计划";

	/**
	 *  预约监控计划
	 */
	public final static String APPOINTMENT_PLAN = "appointment_plan";
	public final static String APPOINTMENT_PLAN_DESC = "预约人监控计划";

	/**
	 *  预约人员分组
	 */
	public final static String APPOINTMENT_GROUP = "appointment_group";


	/**
	 *  预约监控计划前缀
	 */
	public final static String APPOINTMENT_PLAN_PREFIX = "appointment_plan_";
	/**
	 *  预约人员分组
	 */
	public final static String APPOINTMENT_GROUP_PREFIX = "appointment_group_";



}
