package com.mortals.xhx.common.key;

/**
 * Redis缓存key定义
 */
public class RedisKey {

    /**
     * 登录  key
     */
    public static final String KEY_MENU_CACHE = "iot:base:MenuCacheKey:";
    /**
     * 设备心跳上报
     */
    public static final String KEY_DEVICE_ONLINE_CACHE = "device:online:";


    /**
     * 排队等待人群
     */
    public static final String KEY_WAITNUM_LIST_CACHE = "takeData";
    /**
     * 完成业务人群
     */
    public static final String KEY_FIN_LIST_CACHE = "callData";

    public static final String KEY_PLATFORM_CACHE = "platformDict";

    public static final String KEY_PRODUCT_CACHE = "productDict";

    public static final String KEY_TOKEN_API_CACHE = "token:api:";
}
