package com.mortals.xhx.module.care.service;

import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.base.system.user.model.UserEntity;
import com.mortals.xhx.module.care.dao.CareRecordsDao;
import com.mortals.xhx.module.care.model.CareRecordsEntity;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * CareRecordsService
 * <p>
 * 预约关怀记录 service接口
 *
 * @author zxfei
 * @date 2023-04-09
 */
public interface CareRecordsService extends ICRUDService<CareRecordsEntity, Long> {

    CareRecordsDao getDao();

    Rest<String> notice(CareRecordsEntity careRecordsEntity, Context context);

    Rest<String> toCare(CareRecordsEntity careRecordsEntity, Context context);


}