package com.mortals.xhx.module.hik.event.model.req.callback.recognition;

import java.util.List;

import com.mortals.xhx.module.hik.event.model.req.callback.snap.CaptureLibResultItem;
import lombok.Data;

@Data
public class EventData {
    /**
     * 识别结果
     */
    private FaceRecognitionResult faceRecognitionResult;
    /**
     * 源事件的唯一标识，即转自的人脸比对事件的唯一标识
     */
    private String srcEventId;
    /**
     * 触发重点人员识别事件的报警的抓拍点的信息
     */
    private List<ResInfoItem> resInfo;

    private int portNo;
    /**
     * 事件类别
     */
    private String dataType;
    /**
     * 事件来源的地址，人脸抓拍的事件来源为抓拍机的地址。
     */
    private String ipAddress;
    /**
     * 抓拍结果
     */
    private List<CaptureLibResultItem> captureLibResult;
    /**
     * 抓拍这张图片的监控点的通道号
     */
    private int channelID;
}