package com.mortals.xhx.module.hik.event.model.req.callback.recognition;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class Snap{
	/**
	 * 人脸图片URI
	 */
	private String faceUrl;
	/**
	 * 抓拍图片的时间
	 */
	@JSONField(format = "yyyy-MM-dd'T'HH:mm:ssXXX")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd'T'HH:mm:ss.SSSXXX")
	private Date faceTime;
	/**
	 * 是否戴眼镜
	 */
	private String glass;
	/**
	 * 性别
	 */
	private String gender;
	/**
	 * 年龄段
	 */
	private String ageGroup;
	/**
	 * 背景图片URL
	 */
	private String bkgUrl;
}