package com.mortals.xhx.module.person.model.rsp;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;

import java.util.Date;

/**
 * 注册人员响应类
 * @author:
 * @date: 2023/4/14 11:18
 */
public class RegisterPersonInfo {

    /**
     * 用户名称
     */
    private String name;
    /**
     * 身份证号码
     */
    private String idCard;
    /**
     * 性别(0.男,1.女)
     */
    private Integer gender;
    /**
     * 手机号码
     */
    private String phone;
    /**
     * 出生日期（yyyy-MM-dd）
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd")
    private Date birthday;
    /**
     * 家庭住址
     */
    private String address;

    /**
     * 照片地址（可选）
     */
    private String picUri;

    /**
     * 照片base64数据
     */
    private String picData;


}
