package com.mortals.xhx.module.person.web;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.utils.ServletUtils;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.base.system.upload.service.UploadService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.person.model.PersonEntity;
import com.mortals.xhx.module.person.service.PersonService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 注册人员
*
* @author zxfei
* @date 2023-04-09
*/
@RestController
@RequestMapping("person")
public class PersonController extends BaseCRUDJsonBodyMappingController<PersonService,PersonEntity,Long> {

    @Autowired
    private ParamService paramService;
    @Autowired
    private UploadService uploadService;

    public PersonController(){
        super.setModuleDesc( "注册人员");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "gender", paramService.getParamBySecondOrganize("Person","gender"));
        this.addDict(model, "source", paramService.getParamBySecondOrganize("Person","source"));
        this.addDict(model, "inFaceHk", paramService.getParamBySecondOrganize("Person","inFaceHk"));
        super.init(model, context);
    }

//    @Override
//    public void doExportBefore(Context context, PersonEntity query, List<String> properties) throws AppException {
//      properties.add("性别");
//       // super.doExportBefore(context, query, properties);
//    }
//
//    @Override
//    public void doImportExcelAfter(MultipartFile file, List<PersonEntity> list, Context context) throws AppException {
//        String filePath = uploadService.saveFileUpload(file, "file/fileupload",null);
//    }
}