package com.mortals.xhx.module.realtime.model.vo;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.realtime.model.RealtimeDataflowStatEntity;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
/**
* 人员流量统计视图对象
*
* @author zxfei
* @date 2023-04-19
*/
@Data
public class RealtimeDataflowStatVo extends BaseEntityLong {

        /**
        * 人流总数
        */
        @Excel(name = "人流总数")
        private Integer personSum;
        /**
        * 陌生人数量
        */
        @Excel(name = "陌生人数量")
        private Integer strangerSum;
        /**
        * 识别注册群众数量
        */
        @Excel(name = "识别注册群众数量")
        private Integer recoginzeSum;

        /** 开始 创建时间 */
        private String createTimeStart;

        /** 结束 创建时间 */
        private String createTimeEnd;


        private Integer selected;

}