package com.mortals.xhx.common.key;


public class ParamKey {
	
	/** 文件访问的地址 */
    public static final String FILE_URL = "iot:base:param:fileUrl";
    /** 物料编码长度，默认6 */
    public static final String MATERIA_CODE_LENGTH = "iot:base:param:materia:length";

    /** 默认人脸分组信息 */
    public static final String PARAM_FACE_GROUP = "face_group";

    /** 注册人脸分组信息 */
    public static final String PARAM_FACE_GROUP_REGISTER = "face_group_register";

    /** 重点人员监控计划 */
    public static final String PARAM_FACE_PLAN_BLACK = "plan_black";
    /** 人脸识别阈值 */
    public static final String PARAM_FACE_THRESHOLD = "face_threshold";

    /** 人脸相似度 */
    public static final String PARAM_FACE_SIMILARITY = "face_similarity";

    /**
     * 系统参数：设备心跳间隔时间（单位：秒，默认值：60秒）
     */
    public static String SYS_PARAM_HEADBEAT_TIMEOUT = "headbeat_timeout";

    /**
     * 系统参数：系统日志保存时间（单位：秒，默认值：60秒）
     */
    public static String SYS_PARAM_LOG_TIME = "log_time";


    public static String SYS_PARAM_SMS_PERSON_CARE_TYPE = "25";

    public static String SYS_PARAM_SMS_ADMIN_CARE_TYPE = "24";

}
