package com.mortals.xhx.module.hik.camera.model.rsp;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.Date;

@Data
public class CameraInfo {
	private String regionIndexCode;
	private String altitude;
	private String capabilitySetName;
	private String channelNo;
	private String latitude;
	private String channelType;
	private String keyBoardCode;
	private String ptzControllerName;
	private String viewshed;
	private String cameraIndexCode;
	private String recordLocation;
	private String cameraTypeName;
	private String intelligentSet;
	private String encodeDevResourceType;
	private String statusName;
	private String encodeDevResourceTypeName;
	private String recordLocationName;
	private String treatyTypeName;
	private String channelTypeName;
	private String transTypeName;
	private int pixel;
	private String cameraName;
	private String longitude;
	private String installLocation;
	private String ptzName;
	@JSONField(format = "yyyy-MM-dd'T'HH:mm:ssXXX")
	private Date updateTime;
	private String gbIndexCode;
	private int ptzController;
	private int cameraType;
	private String treatyType;
	private String intelligentSetName;
	private int transType;
	@JSONField(format = "yyyy-MM-dd'T'HH:mm:ssXXX")
	private Date createTime;
	private int ptz;
	private String capabilitySet;
	private String encodeDevIndexCode;
	private int status;
}