package com.mortals.xhx.module.hik.event.model.req.callback.recognition;

import lombok.Data;

@Data
public class FaceMatchItem{
	/**
	 * 目标所属的人脸分组的唯一标识
	 */
	private String faceGroupCode;
	/**
	 * 目标所属的人脸分组的名称
	 */
	private String faceGroupName;
	/**
	 * 目标对应的人脸的唯一标识
	 */
	private String faceInfoCode;
	/**
	 * 目标对应的人脸的名称
	 */
	private String faceInfoName;
	/**
	 * 目标对应的人脸的性别
	 */
	private String faceInfoSex;
	/**
	 * 目标对应的人脸的证件类型
	 */
	private String certificateType;
	/**
	 * 目标对应的人脸的证件号码
	 */
	private String certificate;
	/**
	 * 目标人脸和抓拍人脸的相似度
	 */
	private Double similarity;
	/**
	 * 目标人脸的图片
	 */
	private String facePicUrl;
}