package com.mortals.xhx.module.hik.face.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.hik.face.model.FaceGroupEntity;
import com.mortals.xhx.module.hik.face.service.FaceGroupService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;

import java.util.Map;

/**
*
* 人脸分组信息
*
* @author zxfei
* @date 2023-04-15
*/
@RestController
@RequestMapping("face/group")
public class FaceGroupController extends BaseCRUDJsonBodyMappingController<FaceGroupService, FaceGroupEntity,Long> {

    @Autowired
    private ParamService paramService;

    public FaceGroupController(){
        super.setModuleDesc( "人脸分组信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }


}