package com.mortals.xhx.module.hik.face.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.hik.face.model.FacePlanEntity;
import com.mortals.xhx.module.hik.face.service.FacePlanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;

import java.util.Map;

/**
*
* 人员识别计划信息
*
* @author zxfei
* @date 2023-04-15
*/
@RestController
@RequestMapping("face/plan")
public class FacePlanController extends BaseCRUDJsonBodyMappingController<FacePlanService, FacePlanEntity,Long> {

    @Autowired
    private ParamService paramService;

    public FacePlanController(){
        super.setModuleDesc( "人员识别计划信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "recognitionPlanType", paramService.getParamBySecondOrganize("FacePlan","recognitionPlanType"));
        super.init(model, context);
    }


}