package com.mortals.xhx.module.person.service.impl;
import com.mortals.framework.service.impl.AbstractCRUDCacheServiceImpl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.person.dao.PersonDao;
import com.mortals.xhx.module.person.model.PersonEntity;
import com.mortals.xhx.module.person.service.PersonService;
/**
* PersonService
* 注册人员 service实现
*
* @author zxfei
* @date 2023-04-09
*/
@Service("personService")
public class PersonServiceImpl extends AbstractCRUDCacheServiceImpl<PersonDao, PersonEntity, Long> implements PersonService {

    @Override
    protected String getExtKey(PersonEntity data) {
        return data.getIdCard();
    }
}